Cards, prop trading & accounting
Get Quick Books Connection Status
Reports the client's QuickBooks connection state, dry-run, sheet URLs, token expiry and a live company-info ping.
GEThttps://api.toku.com/platform/get-quick-books-connection-status
Not available to API keys yet. It will need integrations:write.
curl --request GET \
--url 'https://api.toku.com/platform/get-quick-books-connection-status' \
--header 'Authorization: Bearer <token>'200 response
{
"connectionId": "string",
"clientId": "string",
"connected": true,
"status": "PENDING_PRECONDITION",
"dryRun": true,
"journalEntryGroupingMode": "string",
"multiCurrencyEnabled": true,
"eorPeoSheetUrl": "string",
"contractorSheetUrl": "string",
"livePingSucceeded": true,
"tokenExpiresAt": "string",
"refreshTokenExpiresAt": "string",
"daysUntilRefreshTokenExpiry": 0,
"connectionEnvironment": "SANDBOX",
"oauthSetup": {},
"hrisPayrollEnabled": true,
"hrisPayrollProvider": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
clientIdstring<uuid>Response
200Successful response
connectionIdstring | nullrequiredclientIdstringrequiredconnectedbooleanrequiredstatusstringrequiredAvailable options: PENDING_PRECONDITION, ACTIVE, EXPIRED, DISCONNECTED
dryRunbooleanrequiredjournalEntryGroupingModestringrequiredmultiCurrencyEnabledboolean | nullrequiredeorPeoSheetUrlstring | nullrequiredcontractorSheetUrlstring | nullrequiredlivePingSucceededbooleanrequiredtokenExpiresAtstring | nullrequiredrefreshTokenExpiresAtstring | nullrequireddaysUntilRefreshTokenExpiryinteger | nullrequiredconnectionEnvironmentstring | nullrequiredAvailable options: SANDBOX, PRODUCTION, null
oauthSetupobject | nullrequiredhrisPayrollEnabledbooleanrequiredhrisPayrollProviderstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits